Apache JMeter

## org.apache.jmeter.protocol.http.sampler
Class HTTPSamplerBase.ASyncSample

    java.lang.Object
      org.apache.jmeter.protocol.http.sampler.HTTPSamplerBase.ASyncSample

All Implemented Interfaces:
  Callable<HTTPSampleResult>

Enclosing class:
  HTTPSamplerBase

    public class HTTPSamplerBase.ASyncSample

extends Object
implements Callable<HTTPSampleResult>

Callable class to sample asynchronously resources embedded

Constructor Summary
`HTTPSamplerBase.ASyncSample(URL url, String method, boolean areFollowingRedirect, int depth)`

Method Summary
`HTTPSampleResult` `call()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPSamplerBase.ASyncSample

    public HTTPSamplerBase.ASyncSample(URL url,
                                       String method,
                                       boolean areFollowingRedirect,
                                       int depth)

Method Detail

### call

    public HTTPSampleResult call()

  Specified by:
    `call` in interface `Callable<HTTPSampleResult>`

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.